package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.MensajeEmpresa;

public class RenderMensajeEmpresa implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		MensajeEmpresa mensajeEmpresa = (MensajeEmpresa) o;

		Listcell lc = new Listcell(mensajeEmpresa.getEmpresa().getEmpresaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(mensajeEmpresa.getEmpresa().getNombempresa());
		lc.setParent(lstm);

		lstm.setAttribute("data", mensajeEmpresa);
	}

}
